Transcend Docs
API referencePreferences (Client-Side)

Get consent preferences for a user

GET
/sync

Get consent preferences for a user at https://consent.transcend.io or https://consent.us.transcend.io. N.B. This is not a Sombra route. Authenticate with a signed JWT that carries identifier name/value pairs (preferred) or the deprecated single encryptedIdentifier. See reference for details.

Query Parameters

partition*string

The consent partition or bundle ID. You can find the partition value under Consent Management > Developer Settings. If this value is not set, please use your bundle ID.

Header Parameters

Authorization*string

A JWT signed with HS384. Prefer { "identifiers": [{ "name": "email", "value": "<AES-KWP encrypted value>" }] }. Encrypt each value with your Preference Store encryption key (AES-KWP, base64). At least one identifier must be unique for the partition. Lowercase emails (and otherwise normalize identifiers) on your backend before encryption — Transcend never sees decrypted values and does not validate them. Deprecated: { "encryptedIdentifier": "<AES-KWP encrypted value>" }. See Storing Consent Preferences.

Response Body

Returns confirmed consent preferences for this user

application/json
  1. response
purposes*

Consent purposes to update

confirmed*boolean

Was tracking consent confirmed by the user? If this is false, the consent was resolved from defaults & is not yet confirmed

timestamp*string

Timestamp of when consent was collected

updated?boolean

Has the consent been updated (including no-change confirmation) since default resolution

prompted?boolean

Whether or not the UI has been shown to the end-user (undefined in older versions of airgap.js)

usp?string

US Privacy (USP) String

tcf?string

IAB Transparency & Consent Framework (TCF) 2.0 consent metadata

Example Request
curl -X GET 'https://multi-tenant.sombra.transcend.io/sync?partition=string' \  -H 'Authorization: string'
Example Response
{  "purposes": {    "TestPurpose": false  },  "confirmed": true,  "timestamp": "2023-05-11T19:32:31.707Z"}